%define debug_package %{nil}
Name:           dub
Version:        1.23.0
Release:        %mkrel 2
Summary:        Package manager and meta build tool for the D programming language
License:        MIT
Group:          Development/Languages/Other
URL:            https://code.dlang.org
Source:         https://github.com/dlang/dub/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  dmd
BuildRequires:  phobos-devel
BuildRequires:  phobos-static-devel
Group:          Development/Other
ExclusiveArch:  %{ix86} x86_64

%description
Package Manager for the D Programming language.
DUB emerged as a more general replacement for vibe.d's package manager.
It does not imply a dependecy to vibe.d for packages and was extended to
not only directly build projects, but also to generate project files
(currently VisualD). Mono-D also support the use of dub.json
(dub's package description) as project file.

%prep
%autosetup

# reproducible builds:
perl -i -pe 's{__DATE__}{""}g' source/dub/commandline.d

%build
LIBS=`echo "$LIBS" | sed 's/^-L/-L-L/; s/ -L/ -L-L/g; s/^-l/-L-l/; s/ -l/ -L-l/g'`
echo Generating version file...
echo "module dub.version_;" > source/dub/version_.d
echo "enum dubVersion = \"%{version}\";" >> source/dub/version_.d
dmd -run build.d $*
echo DUB has been built as bin/dub.


%install
mkdir -p %{buildroot}%{_bindir}/
install -D -m 755 bin/%{name} %{buildroot}%{_bindir}/

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.23.0-2.mga9
+ Revision: 1821872
- Mageia 9 Mass Rebuild

* Wed Nov 11 2020 joequant <joequant> 1.23.0-1.mga8
+ Revision: 1644507
- update dub to 1.23.0

* Sat Sep 26 2020 joequant <joequant> 1.22.0-2.mga8
+ Revision: 1630702
- fix static
- update
- rebuild with dmd

* Thu Sep 24 2020 joequant <joequant> 1.22.0-1.mga8
+ Revision: 1629773
- imported package dub

